org.hibernate.search.query.dsl.impl

## Class RangeFacetImpl<T>

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.AbstractFacet
  - - org.hibernate.search.query.dsl.impl.RangeFacetImpl<T>

- All Implemented Interfaces:
    Facet, RangeFacet<T>

      public class RangeFacetImpl<T>
      extends AbstractFacet
      implements RangeFacet<T>

  Author:
    Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getFacetQuery()`
    `T` | `getMax()`
    `T` | `getMin()`
    `int` | `getRangeIndex()`
    `boolean` | `isIncludeMax()`
    `boolean` | `isIncludeMin()`

    - ### Methods inherited from class org.hibernate.search.query.dsl.impl.AbstractFacet

      `equals, getCount, getFacetFieldName, getFacetingName, getFieldName, getSourceFieldName, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.facet.Facet

      `getCount, getFacetingName, getFieldName, getValue`

- - ### Method Detail

    - #### getFacetQuery

          public Query getFacetQuery()

      Specified by:
        `getFacetQuery` in interface `Facet`
      Specified by:
        `getFacetQuery` in class `AbstractFacet`
      Returns:
        a Lucene `Query` which which can be executed to retrieve all documents matching the value of this facet.

    - #### getRangeIndex

          public int getRangeIndex()

    - #### getMin

          public T getMin()

      Specified by:
        `getMin` in interface `RangeFacet<T>`
      Returns:
        the lower boundary of this range

    - #### getMax

          public T getMax()

      Specified by:
        `getMax` in interface `RangeFacet<T>`
      Returns:
        the upper boundary of this range

    - #### isIncludeMin

          public boolean isIncludeMin()

      Specified by:
        `isIncludeMin` in interface `RangeFacet<T>`
      Returns:
        `true` if the lower boundary is included in the range, `false` otherwise

    - #### isIncludeMax

          public boolean isIncludeMax()

      Specified by:
        `isIncludeMax` in interface `RangeFacet<T>`
      Returns:
        `true` if the upper boundary is included in the range, `false` otherwise

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved